Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Class SimpleSVGUserAgent

    java.lang.Object
      org.apache.batik.bridge.UserAgentAdapter
          org.apache.fop.svg.SimpleSVGUserAgent

All Implemented Interfaces:
  org.apache.batik.bridge.UserAgent

Direct Known Subclasses:
  SVGUserAgent

    public class SimpleSVGUserAgent

extends org.apache.batik.bridge.UserAgentAdapter

A simple SVG user agent. This is an implementation of the Batik SVG user agent. It ignores any message output sent by Batik.

Field Summary

Fields inherited from class org.apache.batik.bridge.UserAgentAdapter
`ctx, extensions, FEATURES`

Constructor Summary
`SimpleSVGUserAgent(float pixelUnitToMM, java.awt.geom.AffineTransform at)` Creates a new user agent.

Method Summary
`java.lang.String` | `getLanguages()` Returns the language settings.
`java.lang.String` | `getMedia()` Returns the media type for this rendering.
`float` | `getPixelUnitToMillimeter()` Returns a customized the pixel to mm factor.
`java.awt.geom.AffineTransform` | `getTransform()` Get the transform of the SVG document.
`java.lang.String` | `getUserStyleSheetURI()` Returns the user stylesheet URI.
`java.awt.geom.Dimension2D` | `getViewportSize()` Get the default viewport size for an SVG document.
`java.lang.String` | `getXMLParserClassName()` Returns the class name of the XML parser.
`boolean` | `isXMLParserValidating()` Is the XML parser validating.
`void` | `setTransform(java.awt.geom.AffineTransform at)`

Methods inherited from class org.apache.batik.bridge.UserAgentAdapter
`addStdFeatures, checkLoadExternalResource, checkLoadScript, deselectAll, displayError, displayError, displayMessage, getAlternateStyleSheet, getBolderFontWeight, getBrokenLinkDocument, getClientAreaLocationOnScreen, getDefaultFontFamily, getEventDispatcher, getExternalResourceSecurity, getLighterFontWeight, getMediumFontSize, getPixelToMM, getScriptSecurity, getStandardBolderFontWeight, getStandardLighterFontWeight, handleElement, hasFeature, openLink, registerExtension, runThread, setBridgeContext, setSVGCursor, setTextSelection, showAlert, showConfirm, showPrompt, showPrompt, supportExtension`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSVGUserAgent

    public SimpleSVGUserAgent(float pixelUnitToMM,
                              java.awt.geom.AffineTransform at)

  Creates a new user agent.

  Parameters:
    `pixelUnitToMM` - the pixel to millimeter conversion factor currently in effect
    `at` - the current transform

Method Detail

### getPixelUnitToMillimeter

    public float getPixelUnitToMillimeter()

  Returns a customized the pixel to mm factor.

  Specified by:
    `getPixelUnitToMillimeter` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `getPixelUnitToMillimeter` in class `org.apache.batik.bridge.UserAgentAdapter`
  Returns:
    the pixel unit to millimeter conversion factor

### getLanguages

    public java.lang.String getLanguages()

  Returns the language settings.

  Specified by:
    `getLanguages` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `getLanguages` in class `org.apache.batik.bridge.UserAgentAdapter`
  Returns:
    the languages supported

### getMedia

    public java.lang.String getMedia()

  Returns the media type for this rendering.

  Specified by:
    `getMedia` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `getMedia` in class `org.apache.batik.bridge.UserAgentAdapter`
  Returns:
    the media for FO documents is "print"

### getUserStyleSheetURI

    public java.lang.String getUserStyleSheetURI()

  Returns the user stylesheet URI.

  Specified by:
    `getUserStyleSheetURI` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `getUserStyleSheetURI` in class `org.apache.batik.bridge.UserAgentAdapter`
  Returns:
    null if no user style sheet was specified.

### getXMLParserClassName

    public java.lang.String getXMLParserClassName()

  Returns the class name of the XML parser.

  Specified by:
    `getXMLParserClassName` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `getXMLParserClassName` in class `org.apache.batik.bridge.UserAgentAdapter`
  Returns:
    the XML parser class name

### isXMLParserValidating

    public boolean isXMLParserValidating()

  Is the XML parser validating.

  Specified by:
    `isXMLParserValidating` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `isXMLParserValidating` in class `org.apache.batik.bridge.UserAgentAdapter`
  Returns:
    true if the XML parser is validating

### getTransform

    public java.awt.geom.AffineTransform getTransform()

  Get the transform of the SVG document.

  Specified by:
    `getTransform` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `getTransform` in class `org.apache.batik.bridge.UserAgentAdapter`
  Returns:
    the transform

### setTransform

    public void setTransform(java.awt.geom.AffineTransform at)

  Specified by:
    `setTransform` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `setTransform` in class `org.apache.batik.bridge.UserAgentAdapter`

### getViewportSize

    public java.awt.geom.Dimension2D getViewportSize()

  Get the default viewport size for an SVG document. This returns a default value of 100x100.

  Specified by:
    `getViewportSize` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `getViewportSize` in class `org.apache.batik.bridge.UserAgentAdapter`
  Returns:
    the default viewport size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.